
body { background-color: #f8f9fa; }
main { margin-top:5rem !important;}
.edit-card { background: white; border-radius: 15px; border: none; box-shadow: 0 4px 15px rgba(0,0,0,0.05);  margin: 3rem; }
.edit-header { background: #343a40; color: white; padding: 15px 25px; border-radius: 15px 15px 0 0; font-weight: 600; }
.msg {    
    justify-self: center;
    background: #e91e1e26;
    padding: 1rem;
    border-radius: 0.5rem;
}
#map { height: 400px; width: 100%; border-radius: 8px; border: 1px solid #ced4da; }

/* Custom Checkbox Grid for Trades */
.trade-grid { display: grid; grid-template-columns: repeat(auto-fill, minmax(200px, 1fr)); gap: 10px; }
.form-check-card { border: 1px solid #dee2e6; padding: 10px; border-radius: 8px; transition: 0.2s; }
.form-check-card:hover { background: #f8f9fa; border-color: #0d6efd; }
.login, .register {
background: #e1f3ff;
    border-radius: 20px;
    border-style: solid;
    border-color: #a3babd;
    width: 23rem;
    max-width: 90%;
    justify-self: center;
}
.login .links, .register .links {
    background: #ffffff;
    padding: 3px;
    text-align: left;
}
.login .links a, .register .links a {
    color: #adb2ba;
    text-decoration: none;
    display: inline-flex;
    padding: 0 10px 10px 10px;
    font-weight: bold;
}
.login .links a.active, .register .links a.active {
border-bottom: 3px solid #22486d;
color: #22486d;
}
.login-btn {
    height: 3rem;
    width: 16rem;
    border-radius: 1rem;
    margin: 1rem;
    font-size: 1rem;
    font-weight: 800;
    background: #5d9cf1;
    color: antiquewhite;
    cursor:pointer;
}

.auth-line {
    padding: 0.5rem;
    display: grid;
    grid-template-columns: 6fr 0fr 1fr;
    /* flex-direction: column; */
    text-align: left;
    gap: 1rem;
    /* width: 100%; */
    justify-items: start;
}
.form-control {
    grid-column: 2;
    line-height: 2rem;
    width:8rem;
}
.tos-check {
    justify-self: left;
}
.tos {
    color: black;
    grid-column: 3;
    width: 14rem;
    text-wrap-style: balance;
    white-space: pre-wrap;
}
.tos a {
    text-decoration: none;
}
#tos_check {
    grid-column: 1;
}
.label-line {
display: grid;
    align-content: center;
    justify-content: start;
    grid-template-columns: 20fr 2fr;
    justify-items: end;
    gap: 1rem;
    align-items: center;
}
.check-line {
    padding: 0.5rem;
    display: grid;
    grid-template-columns: 10fr 5fr 2fr;
    /* flex-direction: column; */
    text-align: left;
    justify-items: end;
    gap: 1rem;
}
.fas {
    grid-column:2;
}
.form-label {
    grid-column: 1;
    grid-row: 1;
}
.row {
    text-align: center;
    max-width: 100%;
}